# NAS Server

This repository contains files used to set up our NAS server on Debian. Target is Bullseye.

### Introduction
The idea is to provide the following features, chosen at install:
* a web interface for file management with [filebrowser](https://github.com/filebrowser/filebrowser)
* a DLNA server with MiniDLNA
* a BitTorrent client with Transmission, which comes with a server web interface
* an VPN client with OpenVPN
* a FTP server with vsftpd

### Files
* `transmission-daemon.service` is a replacement for default Transmission service file, with more settings.
* `transmission-vpn.sh` is a script which checks if a VPN connection is active and stops Transmission otherwise.
* `transmission-vpn.service` is a service unit for above script.
* `transmission-vpn.timer` is a timer which runs regularly above script.
* `variables.conf.template` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
##### Installation
* `install.sh` script copies Systemd units to their destination, with correct values.

### TODO
* RAS
